POST
/quotas/users/{username}/scanStart a user quota scan
Starts a new quota scan for the given user. A quota scan recalculates the number of files and their total size for the specified user, including any virtual folders in their quota. Returns 409 if a scan is already running for this user
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
usernamestringrequired
the username
202successful operation
errorstringoptional
error description if any
messagestringoptional
message, can be empty
400Bad Request
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Unauthorized
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Forbidden
errorstringoptional
error description if any
messagestringoptional
message, can be empty
404Not Found
errorstringoptional
error description if any
messagestringoptional
message, can be empty
409Conflict
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Internal Server Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned: Bad Request. A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 404 is returned: Not Found. A 409 is returned: Conflict. A 500 is returned: Internal Server Error. Any other status is an error: Unexpected Error.